# $Revision: 1.52 $, $Date: 2010/11/18 13:40:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for parsing IDL (Interface Definition Language)
Summary(pl.UTF-8):	Biblioteka do parsowania IDL (języka definicji interfejsu)
Name:		libIDL
Version:	0.8.14
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libIDL/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	bb8e10a218fac793a52d404d14adedcb
Patch0:		%{name}-info.patch
URL:		http://projects.gnome.org/ORBit2/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.14.1
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.8
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

%description -l pl.UTF-8
libIDL to biblioteka do parsowania IDL (Interface Definition Language
- języka definicji interfejsu). Może być używana z IDL w stylu COM lub
CORBA.

%package devel
Summary:	Header files for libIDL
Summary(pl.UTF-8):	Pliki nagłówkowe libIDL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.14.1

%description devel
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write
or compile programs that use libIDL.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do kompilowania
programów używających libIDL.

%package static
Summary:	Static libIDL libraries
Summary(pl.UTF-8):	Statyczne biblioteki libIDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libIDL libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libIDL.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_libdir}/libIDL-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIDL-2.so.0

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/libIDL-config-2
%attr(755,root,root) %{_libdir}/libIDL-2.so
%{_libdir}/libIDL-2.la
%{_includedir}/libIDL-2.0
%{_pkgconfigdir}/libIDL-2.0.pc
%{_infodir}/libIDL2.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libIDL-2.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libIDL.spec,v $
Revision 1.52  2010/11/18 13:40:54  hawk
- release 2

Revision 1.51  2010/03/31 19:11:25  qboosh
- updated to 0.8.14

Revision 1.50  2009/03/26 05:42:13  qboosh
- updated to 0.8.13

Revision 1.49  2008/08/21 16:52:07  megabajt
- updated to 0.8.11

Revision 1.48  2008/01/31 19:04:02  megabajt
- updated to 0.8.10

Revision 1.47  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.46  2007-09-19 20:20:06  qboosh
- more verbose files

Revision 1.45  2007/09/17 14:04:30  megabajt
- updated to 0.8.9

Revision 1.44  2007/07/23 17:29:50  witekfl
- added missing #

Revision 1.43  2007/07/22 08:43:33  witekfl
- added bcond_without static_libs

Revision 1.42  2007/02/27 15:47:37  megabajt
- updated to 0.8.8

Revision 1.41  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.39  2006/11/20 16:21:16  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.38  2006/07/24 17:46:49  freetz
- 0.8.7, removed LDFLAGS

Revision 1.37  2006/07/10 20:43:51  freetz
- --as-needed support, updated deps

Revision 1.36  2005/07/25 18:25:57  qboosh
- gpm-friendly Source0 URL

Revision 1.35  2005/07/25 18:10:00  freetz
- 0.8.6

Revision 1.34  2005/05/10 23:36:57  pluto
- release 3 for rebuild for x86_64 target 'coz it has hardcoded amd64-*.

Revision 1.33  2005/05/03 22:43:48  pluto
- release 2 for Th.

Revision 1.32  2005/02/06 16:25:19  grzegol
- updated to 0.8.5

Revision 1.31  2004/12/21 19:05:39  qboosh
- release 2

Revision 1.30  2004/12/21 19:03:19  qboosh
- pkgconfig is not needed to link with libIDL

Revision 1.29  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.28  2004/08/17 17:32:14  aflinta
- up to version 0.8.4

Revision 1.27  2004/02/23 20:14:00  qboosh
- fixed internal deps and changed to more strict ones

Revision 1.26  2004/01/21 20:59:49  grzegol
- updated to 0.8.3

Revision 1.25  2003/07/03 13:14:24  qboosh
- formatting fix in pl descr (noticed by kloczek)

Revision 1.24  2003/05/26 20:55:12  aflinta
- verison 0.8.2

Revision 1.23  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/03 08:51:51  aflinta
- version 0.8.1

Revision 1.20  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.19  2002/10/22 22:30:22  malekith
- release 5

Revision 1.18  2002/10/20 15:49:18  trojan
- adapterized

Revision 1.17  2002/10/10 10:45:48  trojan
- fixed %%files
- fixed source URL

Revision 1.16  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/08/17 13:04:45  kloczek
- bump release to 4.

Revision 1.14  2002/08/15 19:54:42  wolf
- BR: flex

Revision 1.13  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/06/05 22:28:43  kloczek
- updated to 0.8.0 and use new %doc.

Revision 1.11  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/03/10 13:31:45  kloczek
- release 3: rebuild against final glib2 2.0.0.

Revision 1.8  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/19 04:39:10  kloczek
- release 2: rebuild against glib2 1.3.14.

Revision 1.6  2002/02/06 03:27:31  kloczek
- updated to 0.7.4 (bugfix release).

Revision 1.5  2002/02/02 03:31:49  kloczek
- updated to 0.7.3,
- added using %%{_pkgconfigdir} macro,
- rebuild against glib2 1.3.13.

Revision 1.4  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/17 12:30:21  qboosh
- pl translation, cosmetics; release 2

Revision 1.2  2002/01/13 19:18:11  kloczek
- rewrited in PLD style,
- updated to 0.7.2,
- switch to bzipped2 tar ball.

Based on spec from RH.
